# $Revision: 1.20.2.3.2.1.2.3 $, $Date: 2007/03/08 14:14:23 $
%include        /usr/lib/rpm/macros.mono
Summary:	Evolution# - .NET language bindings for Evolution
Summary(pl):	Evolution# - Wizania Evolution dla .NET
Name:		dotnet-evolution-sharp
Version:	0.11.1
Release:	7
License:	GPL
Group:		Development/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/evolution-sharp/0.11/evolution-sharp-%{version}.tar.bz2
# Source0-md5:	d1bf31c7c9dda9ba012e169981626cce
Patch0:		%{name}-mint.patch
Patch1:		%{name}-monodir.patch
Patch2:		%{name}-soname.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel >= 1.9.5
BuildRequires:	evolution-data-server-devel >= 1.6.3
BuildRequires:	evolution-devel >= 2.6.1
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	pkgconfig
Requires:	evolution-data-server-libs >= 1.6.3
Requires:	evolution-libs >= 2.6.1
Requires:	dotnet-gtk-sharp2 >= 1.9.5
Requires:	mono >= 1.1.7
Provides:	dotnet-evolution
Obsoletes:	dotnet-evolution
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to Evolution libraries.

%description -l pl
Pakiet ten dostarcza wizania dla .NET do bibliotek z Evolution.

%package devel
Summary:	Development part of Evolution#
Summary(pl):	Programistyczna cz Evolution#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2-devel >= 1.0
Provides:	dotnet-evolution-devel
Obsoletes:	dotnet-evolution-devel

%description devel
Tools for developing applications using evolution-sharp.

%description devel -l pl
Narzdzia potrzebne przy tworzeniu aplikacji korzystajcych z
evolution-sharp.

%package static
Summary:        Static evolution-sharp libraries
Summary(pl):    Biblioteki statyczne evolution-sharp
Group:          Development/Libraries
Requires:       %{name}-devel = %{version}-%{release}

%description static
Static evolution-sharp libraries.

%description static -l pl
Biblioteki statyczne evolution-sharp.

%prep
%setup -q -n evolution-sharp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libevolutionglue.so
%{_libdir}/libevolutionglue.la
%{_prefix}/lib/mono/gac/evolution-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/evolution-sharp
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libevolutionglue.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-evolution-sharp.spec,v $
Revision 1.20.2.3.2.1.2.3  2007/03/08 14:14:23  qboosh
- release 7: rebuild with restored mono() deps

Revision 1.20.2.3.2.1.2.2  2007/02/18 07:26:35  qboosh
- release 6 (new gnutls)

Revision 1.20.2.3.2.1.2.1  2007/02/17 13:27:48  qboosh
- release 5

Revision 1.20.2.3.2.1  2006/08/05 07:08:01  freetz
- apply soname patch, rel.4, STBR Ac

Revision 1.20.2.3  2006/08/04 19:30:02  freetz
- soname patch added, rel.3

Revision 1.20.2.2  2006/06/01 19:09:09  freetz
- rel.2

Revision 1.20.2.1  2006/05/24 12:20:47  baggins
- up to 0.11.1

Revision 1.22  2006/04/30 11:50:27  freetz
- 0.11.1, removed obsoleted evo26 and glibsharpglue patches

Revision 1.21  2006/02/21 16:30:17  wiget
- fixed soname for libglibsharpglue and libedataserver
- BR/R newer e-d-s and evo
- release 4

Revision 1.20  2006/01/28 23:34:25  freetz
- fixed/corrected Requires

Revision 1.19  2006/01/28 23:14:59  freetz
- evolution 2.6 patch added

Revision 1.18  2005/12/03 12:22:46  qboosh
- updated mint patch, added monodir patch for mono dlls in /usr/lib (R: mono >= 1.1.7)
- release 3

Revision 1.17  2005/11/30 16:18:55  freetz
- exclude i386 alpha sparc sparc64 from build, rel.2

Revision 1.16  2005/09/14 11:46:36  pawcioos
- updated to 0.10.2

Revision 1.15  2005/09/10 22:14:52  freetz
- 0.10.1, mono autodeps, updated BRs/Rs, cleanup, static subpkg

Revision 1.14  2005/05/03 23:09:37  qboosh
- updated to 0.6 (for evolution-data-server 1.2)
- build on alpha

Revision 1.13  2005/02/10 21:57:01  qboosh
- release 2 to rebuild with proper gacdir on amd64

Revision 1.12  2004/12/25 17:40:50  qboosh
- unified

Revision 1.11  2004/10/06 13:02:07  qboosh
- unified P/O

Revision 1.10  2004/09/20 15:41:14  grzegol
- updated to 0.4
- removed outdated libebook patch

Revision 1.9  2004/08/20 06:58:29  krzak
- ExcludeArch: alpha
- rel 3

Revision 1.8  2004/07/05 19:39:11  krzak
- R: evolution-data-server,dotnet-gtk-sharp
- libebook.patch - map ebook.dll to libebook.so.7

Revision 1.7  2004/07/05 18:48:00  krzak
- rel 2
- mint.patch (mint support)

Revision 1.6  2004/06/28 17:57:06  krzak
- BuildRequires:  dotnet-gtk-sharp-devel

Revision 1.5  2004/06/07 08:26:47  aflinta
- up to version 0.3, dotnet-evolution-sharp obsoletes dotnet-evolution

Revision 1.4  2004/05/05 18:35:02  malekith
- rename to dotnet-evolution; yet untested -- the new version with
  gacutil support should be out soon

Revision 1.3  2004/05/05 18:12:08  qboosh
- pl summary for -devel

Revision 1.2  2004/02/19 22:31:09  grzegol
- updated to 0.2

Revision 1.1  2004/02/08 17:06:19  grzegol
- new
